From 4a7e1d41a5356f18b900986b06dccd968ab6b6a0 Mon Sep 17 00:00:00 2001
From: Tim Rozet <trozet@redhat.com>
Date: Wed, 27 Jan 2016 15:20:07 -0500
Subject: Fixes various bugs and adds some improvements

Changes Include:
 - Disables introspection.  We don't currently use introspection for
anything other than to just run it.  Disabling it to increase deploy
speed and reduce pxeboot issues.
 - Adds timeout to deploy of 90 minutes.  Default heat timeout is 3-4
hours.
 - Fixes OVS bridge attach/detach for users who use PREFIX in their
ifcfg instead of NETMASK
 - Adds nosdn deploy settings file, and allows nosdn deployments
 - Adds example inventory file to the docs dir

Change-Id: Ic13d6c4d5f27bac25365e5951acdd9bd3e641a15
Signed-off-by: Tim Rozet <trozet@redhat.com>
---
 ci/deploy.sh | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

(limited to 'ci')

diff --git a/ci/deploy.sh b/ci/deploy.sh
index 507e62aa..d0b8338b 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -796,9 +796,12 @@ function undercloud_prep_overcloud_deploy {
     SDN_IMAGE=opendaylight
   elif [ ${deploy_options_array['sdn_controller']} == 'opencontrail' ]; then
     echo -e "${red}ERROR: OpenContrail is currently unsupported...exiting${reset}"
+    exit 1
+  elif [[ -z ${deploy_options_array['sdn_controller']} || ${deploy_options_array['sdn_controller']} == 'false' ]]; then
+    echo -e "${blue}INFO: SDN Controller disabled...will deploy nosdn scenario${reset}"
   else
     echo "${red}Invalid sdn_controller: ${deploy_options_array['sdn_controller']}${reset}"
-    echo "${red}Valid choices are opendaylight, opendaylight-external, onos, opencontrail${reset}"
+    echo "${red}Valid choices are opendaylight, opendaylight-external, onos, opencontrail, false, or null${reset}"
     exit 1
   fi
 
@@ -837,9 +840,9 @@ openstack overcloud image upload
 echo "Configuring undercloud and discovering nodes"
 openstack baremetal import --json instackenv.json
 openstack baremetal configure boot
-if [[ -z "$virtual" ]]; then
-  openstack baremetal introspection bulk start
-fi
+#if [[ -z "$virtual" ]]; then
+#  openstack baremetal introspection bulk start
+#fi
 echo "Configuring flavors"
 for flavor in baremetal control compute; do
   echo -e "${blue}INFO: Updating flavor: \${flavor}${reset}"
@@ -860,9 +863,9 @@ echo "Executing overcloud deployment, this should run for an extended period wit
 sleep 60 #wait for Hypervisor stats to check-in to nova
 # save deploy command so it can be used for debugging
 cat > deploy_command << EOF
-openstack overcloud deploy --templates $DEPLOY_OPTIONS
+openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
 EOF
-openstack overcloud deploy --templates $DEPLOY_OPTIONS
+openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
 EOI
 
   if [ "$debug" == 'TRUE' ]; then
-- 
cgit